Bug 210201 - Screen causes a random ip to be writen to /var/log/wtmp
Screen causes a random ip to be writen to /var/log/wtmp
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: screen (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-10 15:11 EDT by Chris Jones
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.0.3-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-26 07:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Jones 2006-10-10 15:11:25 EDT
Description of problem:
When you start a new screen, it seems to write a random ip to /var/log/wtmp,
this is daft and scares you when you happen to check last.

For example, the below is the output from last with one ssh session, with 5
nested screens.

$ last -dia rollercow | head
rollerco pts/43       Tue Oct 10 19:59   still logged in    186.148.14.0
rollerco pts/41       Tue Oct 10 19:59   still logged in    210.241.2.0
rollerco pts/40       Tue Oct 10 19:59   still logged in    166.122.6.0
rollerco pts/39       Tue Oct 10 19:59   still logged in    11.32.1.0
rollerco pts/30       Tue Oct 10 19:59   still logged in    204.241.5.0
rollerco pts/15       Tue Oct 10 19:59   still logged in    82.0.222.175


Version-Release number of selected component (if applicable):
screen-4.0.2-12

How reproducible:
Always

Steps to Reproduce:
1. Open a session
2. Start a screen within it
3. Observe ip displayed by last
  
Actual results:
Random IP's

Expected results:
0.0.0.0 like you get when you login locally.

Additional info:
Comment 1 Marcela Mašláňová 2006-11-15 08:12:40 EST
Please upgrade on the highest FC-5 version screen-4.0.2-13 and let me know. I
see expected results on my output.
Comment 2 Chris Jones 2007-01-12 09:57:30 EST
Can you point me at screen screen-4.0.2-13 for FC5? I cant see it in any of the
normal places.
Comment 3 Marcela Mašláňová 2007-01-12 11:04:23 EST
Sorry, I didn't realise that I forgot update FC-5. It will be in few days update
screen-4.0.3-1. This bug don't appear in FC-6 in same version. 
So you can try and let me know.
Comment 4 Chris Jones 2007-02-26 13:13:58 EST
Problem solved

Note You need to log in before you can comment on or make changes to this bug.